## ClutterColorizeEffect ClutterColorizeEffect — A colorization effect |

## Functions

ClutterEffect * | clutter_colorize_effect_new ()
void | clutter_colorize_effect_set_tint ()
void | clutter_colorize_effect_get_tint ()

## Properties

ClutterColor * | tint | Read / Write

## Types and Values

| ClutterColorizeEffect

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── ClutterActorMeta
                ╰── ClutterEffect
                    ╰── ClutterOffscreenEffect
                        ╰── ClutterColorizeEffect

## Description

ClutterColorizeEffect is a sub-class of ClutterEffect that colorizes an actor with the given tint.

ClutterColorizeEffect is available since Clutter 1.4

## Functions

### clutter_colorize_effect_new ()

    ClutterEffect *
    clutter_colorize_effect_new (const ClutterColor *tint);

Creates a new ClutterColorizeEffect to be used with `clutter_actor_add_effect()`

#### Parameters

tint | the color to be used |

#### Returns

the newly created ClutterColorizeEffect or `NULL`

Since: 1.4

### clutter_colorize_effect_set_tint ()

    void
    clutter_colorize_effect_set_tint (ClutterColorizeEffect *effect,
                                      const ClutterColor *tint);

Sets the tint to be used when colorizing

#### Parameters

effect | a ClutterColorizeEffect |
tint | the color to be used |

Since: 1.4

### clutter_colorize_effect_get_tint ()

    void
    clutter_colorize_effect_get_tint (ClutterColorizeEffect *effect,
                                      ClutterColor *tint);

Retrieves the tint used by `effect`

#### Parameters

effect | a ClutterColorizeEffect |
tint | return location for the color used. | [out caller-allocates]

Since: 1.4

## Types and Values

### ClutterColorizeEffect

    typedef struct _ClutterColorizeEffect ClutterColorizeEffect;

ClutterColorizeEffect is an opaque structure whose members cannot be directly accessed

Since: 1.4

## Property Details

### The `“tint”` property

      “tint”                     ClutterColor *

The tint to apply to the actor

Flags: Read / Write

Since: 1.4

## See Also

ClutterEffect, ClutterOffscreenEffect